/*
 *  Copyright 2006 - 2012 Hannes Holtzhausen
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.

*/

/*
 * $Id: Main.java,v 1.1 2009/05/12 08:26:37 hannes Exp $
 */

package app.wsclient;

import java.util.*;
import app.beans.*;
import app.services.*;
import toolbox.services.*;

/**
 * Simple class to invoke the ProductServiceWSClientImpl.
 *
 * @author Hannes Holtzhausen
 */

public class Main
{
  /**
   * Private constructor.
   */

  private Main()
  {
  }


  /**
   * Application starting point.
   *
   * @param  args  Command line arguments.
   */

  public static void main(String args[])
  {
    try
    {
       ServiceRegistry reg = ServiceRegistryFactory.getRegistry("beansdemo");
       ProductService svc = 
                   (ProductService)reg.getService("WSClient",
                                                   ProductService.class);

       List results = svc.getProductTypes();

       System.out.println(results.toString());
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }
}
